Summary:	Enlightenment DR 17 themes
Name:		e17-themes
Version:	0.4
Release:	%mkrel 11
License:	BSD
Group:		Graphical desktop/Enlightenment
URL:		http://e17-stuff.org/
BuildArch:	noarch

%description
Enlightenment DR 17 Themes

%package -n %{name}-mageia
Summary:	Mageia Enlightenment DR 17 themes
Source20:	A-Mageia-3.edj.bz2
Source31:	A-Special-Mageia.edj.bz2
Source32:	A-Mageia-1890.edj.bz2
Requires:	e >= 0.17.0

%description -n %{name}-mageia
Exclusive Mageia E17 themes, created by Agust

%package -n %{name}-extra
Summary:	Extra Enlightenment DR 17 themes
Source21:	A-Agust-V3.edj.bz2
Source22:	A-Angelic-Sky-V5.edj.bz2
Source23:	A-Angelic-v2.edj.bz2
Source24:	A-BlingBlack-V3.edj.bz2
Source25:	A-E1-Moonlight.edj.bz2
Source26:	A-EBlack-V2.edj.bz2
Source27:	A-ElectricV2.edj.bz2
Source28:	A-Red-Night-V3.edj.bz2
Source29:	A-revolution-V2.edj.bz2
Source30:	A-Vision-V3.edj.bz2

Requires:	e >= 0.17.0
%rename		e17_themes

%description -n %{name}-extra
E17 themes from http://e17-stuff.org/.


%prep

%build

%install
mkdir -p %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE20} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE21} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE22} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE23} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE24} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE25} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE26} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE27} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE28} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE29} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE30} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE31} %buildroot/%{_datadir}/enlightenment/data/themes/
cp -av %{SOURCE32} %buildroot/%{_datadir}/enlightenment/data/themes/

pushd %buildroot/%{_datadir}/enlightenment/data/themes/
for theme in *.bz2
do
bunzip2 -fv $theme
done
popd


%files -n %{name}-mageia
%{_datadir}/enlightenment/data/themes/A-Mageia-3.edj
%{_datadir}/enlightenment/data/themes/A-Special-Mageia.edj
%{_datadir}/enlightenment/data/themes/A-Mageia-1890.edj


%files -n %{name}-extra
%{_datadir}/enlightenment/data/themes/A-Agust-V3.edj
%{_datadir}/enlightenment/data/themes/A-Angelic-Sky-V5.edj
%{_datadir}/enlightenment/data/themes/A-Angelic-v2.edj
%{_datadir}/enlightenment/data/themes/A-BlingBlack-V3.edj
%{_datadir}/enlightenment/data/themes/A-E1-Moonlight.edj
%{_datadir}/enlightenment/data/themes/A-EBlack-V2.edj
%{_datadir}/enlightenment/data/themes/A-ElectricV2.edj
%{_datadir}/enlightenment/data/themes/A-Red-Night-V3.edj
%{_datadir}/enlightenment/data/themes/A-revolution-V2.edj
%{_datadir}/enlightenment/data/themes/A-Vision-V3.edj


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.4-11.mga6
+ Revision: 936547
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-10.mga5
+ Revision: 741297
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-9.mga5
+ Revision: 678903
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-8.mga4
+ Revision: 503985
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4-7.mga3
+ Revision: 349226
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 trem <trem> 0.4-6.mga3
+ Revision: 334669
- add the new mageia theme (A-Special-Mageia.edj and A-Mageia-1890.edj) thanks a lot Agust

* Sun Dec 23 2012 trem <trem> 0.4-5.mga3
+ Revision: 334133
- add severals extra themes

* Sun Dec 23 2012 trem <trem> 0.4-4.mga3
+ Revision: 334121
- Update theme to new e17 (and remove older)

* Fri Dec 21 2012 trem <trem> 0.4-3.mga3
+ Revision: 333641
- add theme A-Agust-V3

* Sun Apr 29 2012 doktor5000 <doktor5000> 0.4-2.mga2
+ Revision: 234172
- remove default Mageia 2 theme, now contained within main e package

* Thu Apr 26 2012 doktor5000 <doktor5000> 0.4-1.mga2
+ Revision: 233393
- used versionned Obsoletes/Provides via %%rename
- removed duplicate definitions of name, version & release
- added proper attribution for theme creator (Agust)

  + trem <trem>
    - split e17-themes in e17-themes-mageia and e17-themes-extra
    - add 3 exclusive mageia e17 themes, created by Agust
    - rename e17_themes to e17-themes

* Mon Apr 16 2012 doktor5000 <doktor5000> 0.3-1.mga2
+ Revision: 231117
- added new animated theme Mageia-Moon

* Sun Apr 15 2012 trem <trem> 0.2-6.mga2
+ Revision: 230937
- remove old theme and add two mageia theme (Mageia-Night and Angelic-Mageia)

* Sun Dec 11 2011 pterjan <pterjan> 0.2-5.mga2
+ Revision: 180773
- Set the package to be noarch

* Tue Nov 01 2011 trem <trem> 0.2-4.mga2
+ Revision: 161064
- disable theme A-White-Blue

* Sun Oct 30 2011 trem <trem> 0.2-3.mga2
+ Revision: 160164
- add theme A-Pclos-Angelic

* Sun Oct 30 2011 trem <trem> 0.2-2.mga2
+ Revision: 160158
- clean spec file
- add theme A-Bodhi-7
- add theme A-White-Blue

* Tue Apr 19 2011 ennael <ennael> 0.2-1.mga1
+ Revision: 88250
- clean spec file
- imported package e17_themes


* Sun Jan 02 2011 Crispin Boylan <crisb@mandriva.org> 0.2-1mdv2011.0
+ Revision: 627476
- Update themes and dont install ones which dont work anymore

* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1-3mdv2011.0
+ Revision: 617946
- the mass rebuild of 2010.0 packages

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.1-2mdv2010.0
+ Revision: 437220
- rebuild

* Thu Mar 05 2009 Antoine Ginies <aginies@mandriva.com> 0.1-1mdv2009.1
+ Revision: 348800
- import e17_themes


